// JavaScript Document
$(document).ready(function(){

var interval_time = 7000;
var w = $('#swap').width(); /* wrapper and slider have common width = 500 */
var cur = 0;
var k;
var direction = -1;
var swap_tab_wrap = $('.swap_tabs');
var n = $('.swap_tabs .swap_tab').size();
var arr_r = $('.arr_right');
var arr_l = $('.arr_left');
var pp = $('.swap-pause');
var interval_id;
var clone;
var l_limit = w*-1;
var r_limit = (2*n*w-w)*-1;
var ml = n*w*-1;


/* check to restart anim */
function restart_check(){
    if(k===true){
      clearInterval(interval_id);
      interval_id = setInterval(function(){arr_r.click()}, interval_time);
    }
}

/* create clones */
clone = swap_tab_wrap.html();
swap_tab_wrap.html(clone + clone + clone);

/* setup width */
swap_tab_wrap.width(3*n*w);

/* create points */
function create_buttons() {
  if (n>0){
    for (var i=1; i<=n; i++){
      $('.swap_points_in').append('<a href="javascript:void(0);"></a>');
    }
  }
  else {
  return false;
  }
}
create_buttons();

/* points function */
$('.swap_points_in a').each(function(){
           $(this).bind('click', function(eventObject){
                          restart_check();
                          var cur2 = $(this).index();
                          animate_slide(cur2);
                          eventObject.preventDefault();
                          })
           });

/* left right arrows */
arr_r.bind('click', function(eventObject){ 
               restart_check();
               animate_slide('to_right'); eventObject.preventDefault(); 
               });
arr_l.bind('click', function(eventObject){ 
               restart_check();
               animate_slide('to_left'); eventObject.preventDefault(); });

/* play pause */
pp.toggle(
      function(){
        $(this).removeClass('swap-play');
        k=true;
              interval_id = setInterval(function(){arr_r.click()}, interval_time);
        },
      function(){
        k=false;
        $(this).addClass('swap-play');
        clearInterval(interval_id);
        }
      );



/* animate */

  swap_tab_wrap.css('marginLeft', ml);
  
function animate_slide(x) {
    if(!swap_tab_wrap.is(':animated')){

  if (x!==false){
     
    if (ml<r_limit){
      ml = n*w*-1;
      swap_tab_wrap.css('marginLeft', ml)
    }
    if (ml>l_limit){
      ml = n*w*-1;
      swap_tab_wrap.css('marginLeft', ml)
    }
    
    if (x==='to_right') {
      x = cur + 1;
      if (x==n){
        x=0;
      }
      ml = ml - w;      
    }
    else if (x==='to_left') {
      x = cur - 1;
      if (x==-1){
        x=n-1;
      }
      ml = ml + w;      
    } 
    
    else {  
      if (x===cur){
        return false;
      }
      else if (x>cur){
        ml = ml - (x-cur)*w; 
      }
      else if (x<cur) {
        ml = ml + (cur-x)*w;
      }
    }
    
    cur = x;
    swap_tab_wrap.animate({
                marginLeft: ml
                })
    
  }
     
  
  $('.swap_points_in a').removeClass('active');
  $('.swap_points_in a').eq(cur).addClass('active');
  
    }
}
animate_slide(false);
pp.click();
  
});